Get a game by contract address
curl --request GET \
--url https://build.vibechain.com/vibe/boosterbox/games/{contractAddress} \
--header 'API-KEY: <api-key>'import requests
url = "https://build.vibechain.com/vibe/boosterbox/games/{contractAddress}"
headers = {"API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-KEY': '<api-key>'}};
fetch('https://build.vibechain.com/vibe/boosterbox/games/{contractAddress}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"game": {
"gameId": "<string>",
"tokenAddress": "0x1111111111111111111111111111111111111111",
"nftName": "<string>",
"nftSymbol": "<string>",
"ownerAddress": "0x1111111111111111111111111111111111111111",
"chainId": 8453,
"tokenName": "<string>",
"tokenSymbol": "<string>",
"description": "<string>",
"imageUrl": "<string>",
"websiteUrl": "<string>",
"isGraduated": true,
"marketCap": "1000000000000000",
"marketCapUsd": "<string>",
"preorderProgress": 50,
"bgColor": "<string>",
"featuredImageUrl": "<string>",
"slug": "<string>",
"pricePerPack": "1000000000000000",
"pricePerPackUsd": "<string>",
"dropContractAddress": "0x1111111111111111111111111111111111111111",
"disableFoil": true,
"disableWear": true,
"packImage": "<string>",
"isActive": true,
"links": {
"twitter": "<string>",
"website": "<string>"
},
"isNSFW": true,
"isVerified": true,
"isVerifiedArtist": true,
"isFeatured": true,
"isVibefit": true,
"version": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"potentialCards": [
{
"name": "<string>",
"imageUrl": "<string>",
"unopenedImageUrl": "<string>",
"firstEditionImageUrl": "<string>",
"description": "<string>",
"externalLink": "<string>",
"privateExternalLink": "<string>",
"metadataDescription": "<string>",
"traits": [
{
"key": "<string>",
"value": "<string>"
}
],
"startId": 1,
"endId": 1,
"id": "<string>",
"contractAddress": "0x1111111111111111111111111111111111111111",
"chainId": 123,
"txHash": "0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"creator": "0x1111111111111111111111111111111111111111",
"isActive": true,
"isDraft": true,
"version": 123,
"effectiveFrom": "2023-11-07T05:31:56Z",
"effectiveUntil": "2023-11-07T05:31:56Z",
"bgColor": "<string>",
"slug": "<string>",
"featuredImageUrl": "<string>",
"disableFoil": true,
"disableWear": true,
"odds": 123,
"oddsFormatted": "<string>"
}
]
}
}{
"success": false,
"message": "Invalid contract address"
}{
"success": false,
"message": "Resource not found"
}{
"success": false,
"message": "Too many requests or invalid API key! See docs.vibechain.com for more info."
}{
"success": false,
"message": "Failed to complete request"
}Games
Get a game by contract address
GET
/
games
/
{contractAddress}
Get a game by contract address
Authorizations
Caller-specific VibeChain API key used for quota and abuse control.
Headers
Set to true to keep original recognized CDN URLs instead of vibe.market proxy URLs. Cache this response variant separately.
Path Parameters
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x1111111111111111111111111111111111111111"
Query Parameters
EVM chain ID. Defaults to Base mainnet.
Required range:
x >= 1⌘I